/*
 * Main.java
 *
 * Created on 22 de agosto de 2007, 0:27
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package madagascar;

import cube.common.logger.LogZero;
import cube.common.logger.NoActiveLoggerException;
import cube.common.pastry.Ring;
import cube.common.postman.Postman;
import cube.common.security.Cryptography;
import java.awt.Color;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.net.InetAddress;
import java.net.InetSocketAddress;
import java.net.UnknownHostException;
import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;
import java.security.cert.CertificateException;
import java.util.Properties;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;
import rice.environment.Environment;
import rice.pastry.PastryNode;
import service.cubefs.CubeFS_impl;

/**
 *
 * @author victor
 */
public class Main {

   
    
    /** Creates a new instance of Main */
    public Main() {
        try {
            
            com.nilo.plaf.nimrod.NimRODLookAndFeel look = new com.nilo.plaf.nimrod.NimRODLookAndFeel();
            com.nilo.plaf.nimrod.NimRODTheme theme = new com.nilo.plaf.nimrod.NimRODTheme();
            theme.setSecondary(new Color(240,240,240));
            theme.setSecondary1(new Color(184,184,184));
            theme.setSecondary2(new Color(194,194,194));
            theme.setSecondary3(new Color(230,230,230));
            
            //AppRootDirectory = System.getProperty("app.install_path");
            
            look.setCurrentTheme(theme);
            UIManager.setLookAndFeel(look);
        } catch (UnsupportedLookAndFeelException ex) {
            ex.printStackTrace();
        }
         String INSTALL_PATH = System.getProperty("app.install_path");
         System.out.println("Iniciando...\nPath base: "+INSTALL_PATH);
         System.setProperty("cube.rootpath",INSTALL_PATH+File.separator+"cube");
         Postman.getIntance();
         System.out.println("Path Cube: "+Postman.getCubeDirectoryRoot());
        
       
        
        /*===============================================================================
         *
         *      PROPIEDADES NECESARIAS PARA FUNCIONAR
         ================================================================================*/
        
         //System.setProperty("cube.rootpath","/home/victor/turin/cube");
         //new Postman ();
         
         /*FileInputStream archivo_conf = null;
         Properties opciones = new Properties(System.getProperties());
        try {
            System.err.println("Archivo de configuracion de la plataforma: "+Postman.getCubeDirectoryRoot()+File.separator+Postman.directoryComfig+File.separator+"conf_cube");
            archivo_conf = new FileInputStream(Postman.getCubeDirectoryRoot()+File.separator+Postman.directoryComfig+File.separator+"conf_cube");
            opciones.load(archivo_conf);
            archivo_conf.close();
            System.setProperties(opciones);
            
            archivo_conf = new FileInputStream(Postman.getCubeDirectoryRoot()+File.separator+Postman.directoryComfig+File.separator+"conf_cubeFS");
            opciones.load(archivo_conf);
            archivo_conf.close();
            System.setProperties(opciones);
            
        } catch (FileNotFoundException ex) {
           System.err.println("Error: Archivo de configuracion no encontrado.");
        }catch (IOException ex) {
            System.err.println("Error: se ha producido un error al cargar el archivo de configuracion.");
        }*/
         
       
        
         
        java.awt.EventQueue.invokeLater(new Runnable() {
        public void run() {
                new GUI().setVisible(true);
            }
        });
    }
    
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
       if(args.length>0) 
       {    
            System.out.println("Argumentos: "+args[0]);
            //Indica que la salida estadar del programa es el stdout original y no la pantalla de mensajes del sistema.
            if(args[0].equals("madagascar.stdout")){System.setProperty("madagascar.stdout","");}
       }
       new Main();
    }
    
}
