/*
 * MyListElement_cert.java
 *
 * Created on 31 de octubre de 2007, 18:57
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package madagascar;

import java.security.cert.X509Certificate;

/**
 *
 * @author victor
 */
 /**
  * Elemento del jlist. Simplemente es una clase que almacena si un objetos se selecciono
  * para actualizar.
  */
 public class MyListElement_cert
 {
     //Titulo del elemento:
     private String texto = "";
     //Certificado_
     private X509Certificate cert;
     //Alias del certificado:
     private String alias = "";
     /**
      * Tipo de certificado:
      * True: CA.
      * FAlse: Certificado de usuario.
      */
     private boolean tipo = false;

        
     public MyListElement_cert(String texto, String alias, boolean tipo, X509Certificate cert)
     {this.alias = alias; this.texto = texto; this.tipo = tipo; this.cert = cert;}
          
     /**
      * Permite consultar el tipo de certificado.
      * @return true Si es tipo CA.
      * @return false Certificado de usuario.
      */
     public boolean certSort() { return tipo; }
     
     /**
      * Obtiene el certificado asociado al elemento.
      */
     public X509Certificate getCert() { return cert;}
     
     /**
      * Obtiene el alias del certificado asociado a la entrada.
      */
     public String getAlias(){ return alias; }

     /**
      * Texto del elemento.
      */
     public String toString() { return "["+alias+"]"+texto; }
 }
