/*
* Title			:   EndOfFile.java
* Package		:   service.cubefs.exception
* Project		:   Cube Platform
* version               :   Alfa 0
* Description           :   Se produce cuando un identificador esta mal formado
*          
*                           		
* Created on            :   12/07/2007 
* Author		:   Victor Puertas Garcia.
* Copyright		:   (c) 2007, Victor Puertas Garcia. vpgugr@gmail.com 
* 					   
* 
* This program is free software; you can redistribute it and/or modify it under
* the terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later  version.
* See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html)for more details.
* 
* HISTORIAL DE CAMBIOS. Formato: <fecha> <autor> <descripcion>
*
*
*/


package service.cubefs.exception;

/**
 * Se produce cuando un identificador esta mal formado.
 * @author victor Puertas.
 */
public class BadIdentifier extends java.lang.Exception {
    
    /**
     * Creates a new instance of <code>BadIdentifier</code> without detail message.
     */
    public BadIdentifier() {
    }
    
    
    /**
     * Constructs an instance of <code>BadIdentifier</code> with the specified detail message.
     * @param msg the detail message.
     */
    public BadIdentifier(String msg) {
        super(msg);
    }
}
