/*
* Title			:   NoActiveLoggerException.java
* Package		:   cube.common.logger
* Project		:   Cube Platform
* version               :   Alfa 0
* Description           :   Excepcion que indica que el Logger System no esta activo.
*                           		
* Created on            :   3/05/2007    
* Author		:   Victor Puertas Garcia.
* Copyright		:   (c) 2006-2007, Victor Puertas Garcia. vpgugr@gmail.com 
* 					   
* 
* This program is free software; you can redistribute it and/or modify it under
* the terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later  version.
* See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html)for more details.
* 
*/

package cube.common.logger;

/**
 *
 * @author victor
 */
public class NoActiveLoggerException extends java.lang.Exception {
    
    /**
     * Creates a new instance of <code>NoActiveLoggerException</code> without detail message.
     */
    public NoActiveLoggerException() {
    }
    
    
    /**
     * Constructs an instance of <code>NoActiveLoggerException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public NoActiveLoggerException(String msg) {
        super(msg);
    }
}
