/*
* Title			:   service.java
* Package		:   cube.common.services
* Project		:   Cube Platform
* version               :   Alfa 0
* Description           :   Gestor de mensajes de un servico.         
*                           		
* Created on            :   30/06/2007 
* Author		:   Victor Puertas Garcia.
* Copyright		:   (c) 2007, Victor Puertas Garcia. vpgugr@gmail.com 
* 					   
* 
* This program is free software; you can redistribute it and/or modify it under
* the terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later  version.
* See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html)for more details.
* 
* HISTORIAL DE CAMBIOS. Formato: <fecha> <autor> <descripcion>
*
*
*/

package cube.common.services;

/**
 * Gestor de mensajes de un servicio. Contiene los métodos básicos para gestionar 
 * las colas de mensajes y comunucar con el Postman. Cada servicio realiza una
 * implementacion propia del gestor de mensajes y este, en funcion del mensaje, invocara
 * los metodos necesarios en la implementacion del servicio.
 * @author victor Puertas.
 */
public abstract class service {
     /** Creates a new instance of service */
    public service() {
    }
    
    /**
     * Gestiona los mensajes dirigidos al servicio.
     */
    abstract void manager(String xml);
}
